Subject: Re: bug#35179: [PATCH] Plug memory leak in GTK x-display-monitor-attributes-list

From: Alex <[email-masked]>
Date: Sun, 07 Apr 2019 12:52:45 -0600

close 35179
quit

Eli Zaretskii <[email-masked]> writes:

>> From: Alex <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 07 Apr 2019 11:44:54 -0600
>> 
>> Whoops, I forgot to add a closing parenthesis...
>
> Thanks.  This variant is fine with me, but since we use xfree to free
> the name, I think we should use xstrdup, not g_strdup, to copy it, as
> the latter is documented to need g_free to free the storage.

Okay, I pushed it as a35e06bbe2. I also added in a GTK version check
since `name' isn't used if !GTK_CHECK_VERSION(2, 14, 0).